Subject: [bug#66436] [PATCH v2] doc: Add some guidelines for reviewing.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 22 Oct 2023 21:55:54 -0400

Hi,

Clément Lassieur <[email-masked]> writes:

> Hi Maxim,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>>> 1. What should the reviewer do with old-style patches, like the ones
>>>    that don't use G-Expressions?  Should we tell the submitter to use
>>>    them when possible or is it only a matter of style that is up to the
>>>    submitter?  Obviously they are hard to grasp for newcomers.
>>>
>>>    It's probably good for newcomers if we teach them how to use
>>>    G-Expressions but we don't really have time to do so, given the
>>>    number of patches waiting to be reviewed.
>>>
>>>    This question could be extended to style issues.  Like using %var
>>>    versus var.
>>
>> I think we should now make sure all new submissions use the current
>> style; if they aren't we can demand of the contributors to adjust it.
>> There is a blog post and enough examples in the code base already that
>> should make this not too difficult.
>
> Are you referring to this one?
> https://guix.gnu.org/en/blog/2023/dissecting-guix-part-3-g-expressions/

Rather to the one corresponding to the 1.4.0 release, which introduced
these new changes: <https://guix.gnu.org/en/blog/2022/gnu-guix-1.4.0-released/>.

-- 
Thanks,
Maxim